Page MenuHomePhabricator

Captions on UW doesn't warn you more than once if your input is over 250
Closed, ResolvedPublicBUG REPORT

Description

User story: N/A

We have this:
[Tested on Beta] When a user is on the Describe step, if a user enters a caption that exceeds the character limit, they get a warning. However if they edit it, and it is still too long, they do not get another warning, resulting in an error message when it confirms what's been uploaded successfully. Not only that, but as described in T222481, the user is not able to get to the next step (Add data) at all.

We want this:
A user should be warned before publishing files on the Describe step that the character limit is still exceeded.

Screenshots (if possible):

Acceptance Criteria:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 3 2019, 9:04 PM
PDrouin-WMF updated the task description. (Show Details)May 3 2019, 9:04 PM
matthiasmullie added a subscriber: matthiasmullie.EditedMay 9 2019, 8:41 AM

The actual issue here is that UW was configured to allow 255 characters (and it shows and continues to show a warning when you exceed that number), but Wikibase doesn't allow labels longer than 250 (not 255).
So anything with 251-255 characters ran into this issue...

I changed UW to have the same limit as WB

Change 509013 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/UploadWizard@master] Use Wikibase's actual max length for label

https://gerrit.wikimedia.org/r/509013

Change 509013 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Use Wikibase's actual max length for label

https://gerrit.wikimedia.org/r/509013

Ramsey-WMF closed this task as Resolved.Jun 18 2019, 1:53 AM

Confirmed working on production.